<?php

namespace App\Classes\Fonts;

use App\Classes\Font;

final class Ansitex extends Font
{
	protected const FONT = [
		'a' =>	[
					[0xda,0xc4,0xdc],
					[0xb3,0xdf,0xdb],
					[0x20,0x20,0x20],
				],
		'b' =>	[
					[0xb3,0xc4,0xdc],
					[0xb3,0x5f,0xdb],
					[0x20,0x20,0x20],
				],
		'c' =>	[
					[0xda,0xc4,0xdc],
					[0xb3,0x5f,0xdc],
					[0x20,0x20,0x20],
				],
		'd' =>	[
					[0xda,0xc4,0xdb],
					[0xb3,0x5f,0xdb],
					[0x20,0x20,0x20],
				],
		'e' =>	[
					[0xda,0xc4,0xdc],
					[0xc3,0x5f,0xdc],
					[0x20,0x20,0x20],
				],
		'f' =>	[
					[0xda,0xc4,0xdc],
					[0xc3,0x20,0x20],
					[0x20,0x20,0x20],
				],
		'g' =>	[
					[0xda,0xc4,0xdc],
					[0xb3,0x5f,0xdb],
					[0x20,0xc4,0xdf],
				],
		'h' =>	[
					[0xde,0xc4,0xdc],
					[0xde,0x20,0xdb],
					[0x20,0x20,0x20],
				],
		'i' =>	[
					[0x20,0xdf],
					[0xde,0xdb],
					[0x20,0x20],
				],
		'j' =>	[
					[0x20,0xdf],
					[0xde,0xdb],
					[0xc4,0xdf],
				],
		'k' =>	[
					[0xb3,0x20,0xdc],
					[0xb3,0x60,0xdc],
					[0x20,0x20,0x20],
				],
		'l' =>	[
					[0xb3,0x20],
					[0xb3,0xdc],
					[0x20,0x20],
				],
		'm' =>	[
					[0xda,0xda,0xdc],
					[0xb3,0xb3,0xdb],
					[0x20,0x20,0x20],
				],
		'n' =>	[
					[0xda,0xc4,0xdc],
					[0xb3,0x20,0xdb],
					[0x20,0x20,0x20],
				],
		'o' =>	[
					[0xda,0xc4,0xdc],
					[0xb3,0x5f,0xdb],
					[0x20,0x20,0x20],
				],
		'p' =>	[
					[0xda,0xc4,0xdc],
					[0xb3,0x5f,0xdb],
					[0xc0,0x20,0x20],
				],
		'q' =>	[
					[0xda,0xc4,0xdc],
					[0xb3,0x5f,0xdb],
					[0x20,0x20,0xdf],
				],
		'r' =>	[
					[0xda,0xc4,0xdc],
					[0xb3,0xc1,0x5c],
					[0x20,0x20,0x20],
				],
		's' =>	[
					[0xda,0xc4,0xdc],
					[0x2e,0x5c,0xdc],
					[0x20,0x20,0x20],
				],
		't' =>	[
					[0xda,0xc2,0xdc],
					[0x20,0xb3,0x20],
					[0x20,0x20,0x20],
		],
		'u' =>	[
					[0xda,0x20,0xdc],
					[0xb3,0x5f,0xdb],
					[0x20,0x20,0x20],
				],
		'v' =>	[
					[0xda,0x20,0xdc],
					[0x60,0x5c,0xdb],
					[0x20,0x20,0x20],
				],
		'w' =>	[
					[0xda,0xda,0xdb],
					[0x60,0x5c,0xdb],
					[0x20,0x20,0x20],
				],
		'x' =>	[
					[0xda,0x20,0xdc],
					[0xda,0xdf,0xdc],
					[0x20,0x20,0x20],
				],
		'y' =>	[
					[0xda,0x20,0xdc],
					[0xb3,0x5f,0xdb],
					[0x20,0xc4,0xdf],
				],
		'z' =>	[
					[0xda,0xc4,0xdc],
					[0x2e,0x2f,0xdc],
					[0x20,0x20,0x20],
				],
		'1' => [
					[0xc4,0xdc],
					[0x20,0xdb],
					[0x20,0x20],
				],
		'2' => [
					[0xfe,0xc4,0xdc],
					[0xda,0x2f,0xdc],
					[0x20,0x20,0x20],
				],
		'3' => [
					[0xda,0xc4,0xdc],
					[0xda,0xf0,0xdb],
					[0x20,0x20,0x20],
				],
		'4' => [
					[0xde,0x20,0xdc],
					[0xc0,0xc4,0xdb],
					[0x20,0x20,0x20],
				],
		'5' => [
					[0xda,0xc4,0xdc],
					[0x2e,0x2d,0xdc],
					[0x20,0x20,0x20],
				],
		'6' => [
					[0xde,0xc4,0xbf],
					[0xb3,0x5f,0xdb],
					[0x20,0x20,0x20],
				],
		'7' => [
					[0xfe,0x2d,0xbf],
					[0x20,0xde,0x20],
					[0x20,0x20,0x20],
				],
		'8' => [
					[0xda,0xc4,0xdc],
					[0xc3,0xf0,0xdb],
					[0x20,0x20,0x20],
				],
		'9' => [
					[0xda,0xc4,0xdc],
					[0xd4,0xc4,0xdb],
					[0x20,0x20,0x20],
				],
		'0' => [
					[0xda,0xc4,0xdc],
					[0xb3,0x5f,0xdb],
					[0x20,0x20,0x20],
				],
		'#' => [
					[0xdc,0xba,0xdc],
					[0xfe,0xba,0xfe],
					[0x20,0x20,0x20],
				],
		'!' => [
					[0xdb],
					[0xfe],
					[0x20],
				],
	];
}